'use strict';

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var commonService = require('../commonService');

/**
 * The Recommendations API identifies consumption patterns from your transaction information in order to provide recommendations. These recommendations can help your customers more easily discover items that they may be interested in. By showing your customers products that they are more likely to be interested in, you will, in turn, increase your sales.
 * @augments commonService
 * {@link https://github.com/Microsoft/Product-Recommendations/blob/master/doc/api-reference.md|documentation}
 */

var recommendations = function (_commonService) {
  _inherits(recommendations, _commonService);

  /**
   * Constructor.
   * 
   * @param {Object} obj
   * @param {string} obj.apiKey
   * @param {string} obj.endpoint
   */
  function recommendations(_ref) {
    var apiKey = _ref.apiKey,
        endpoint = _ref.endpoint;

    _classCallCheck(this, recommendations);

    var validateEndpoint = false;

    var _this = _possibleConstructorReturn(this, _commonService.call(this, { apiKey: apiKey, endpoint: endpoint, validateEndpoint: validateEndpoint }));

    _this.apiKeyHeaderName = 'x-api-key';
    return _this;
  }

  return recommendations;
}(commonService);

;

module.exports = recommendations;